<script setup>
import { Swiper, SwiperSlide } from "swiper/vue";

// Import Swiper styles
import "swiper/css";
</script>
<template>
  <div class="mt-8 mb-5">
    <div class="flex flex-row justify-between">
      <p class="font-semibold text-base text-dark-950">Tagihan</p>
      <NuxtLink class="text-dark-900 text-base">Lihat Semua</NuxtLink>
    </div>
  </div>
  <swiper
    :slides-per-view="1"
    :space-between="16"
    :breakpoints="{
      '540': {
        slidesPerView: 2,
        spaceBetween: 16,
      },
      '1280': {
        slidesPerView: 3,
        spaceBetween: 16,
      },
    }"
    class="tagihan-card"
  >
    <swiper-slide>
      <NuxtLink to="/" class="w-full">
        <div
          class="border-2 border-secondary-600 rounded-2xl w-full shadow-lg bg-light-50 p-4 bg-[url('/img/ornament.svg')] bg-no-repeat bg-left bg-auto"
        >
          <p class="text-base font-Inter font-normal text-dark-600">
            Biaya SPP Semester Genap
          </p>
          <p class="text-2xl text-dark-950 font-Inter font-semibold">
            Rp. 8.000.000,-
          </p>
          <p class="text-base font-Inter font-normal text-dark-600">Lunas</p>
        </div></NuxtLink
      ></swiper-slide
    >
    <swiper-slide>
      <NuxtLink to="/" class="w-full">
        <div
          class="rounded-2xl w-full shadow-lg bg-light-50 p-4 bg-[url('/img/ornament.svg')] bg-no-repeat bg-left bg-auto"
        >
          <p class="text-base font-Inter font-normal text-dark-600">
            Biaya SPP Semester Genap
          </p>
          <p class="text-2xl text-dark-950 font-Inter font-semibold">
            Rp. 8.000.000,-
          </p>
          <p class="text-base font-Inter font-normal text-dark-600">Lunas</p>
        </div></NuxtLink
      ></swiper-slide
    >
    <swiper-slide>
      <NuxtLink to="/" class="w-full">
        <div
          class="rounded-2xl w-full shadow-lg bg-light-50 p-4 bg-[url('/img/ornament.svg')] bg-no-repeat bg-left bg-auto"
        >
          <p class="text-base font-Inter font-normal text-dark-600">
            Biaya SPP Semester Genap
          </p>
          <p class="text-2xl text-dark-950 font-Inter font-semibold">
            Rp. 8.000.000,-
          </p>
          <p class="text-base font-Inter font-normal text-dark-600">Lunas</p>
        </div></NuxtLink
      ></swiper-slide
    >
    <swiper-slide>
      <NuxtLink to="/" class="w-full">
        <div
          class="rounded-2xl w-full shadow-lg bg-light-50 p-4 bg-[url('/img/ornament.svg')] bg-no-repeat bg-left bg-auto"
        >
          <p class="text-base font-Inter font-normal text-dark-600">
            Biaya SPP Semester Genap
          </p>
          <p class="text-2xl text-dark-950 font-Inter font-semibold">
            Rp. 8.000.000,-
          </p>
          <p class="text-base font-Inter font-normal text-dark-600">Lunas</p>
        </div></NuxtLink
      ></swiper-slide
    >
  </swiper>
</template>
